## kmyfirewall-trinity 14.0.4

=== kmyfirewall/installer/openbsd/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 483858 $ 
# kmyfirewall/installer/openbsd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/kmyfirewall-1.1.1
pkglibdir = $(libdir)/kmyfirewall-1.1.1
pkgincludedir = $(includedir)/kmyfirewall-1.1.1
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i486-pc-linux-gnu
host_triplet = i486-pc-linux-gnu
target_triplet = i486-pc-linux-gnu
subdir = kmyfirewall/installer/openbsd
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(kde_moduledir)" \
	"$(DESTDIR)$(partdesktopdir)" "$(DESTDIR)$(scriptdir)"
kde_moduleLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(kde_module_LTLIBRARIES)
am__DEPENDENCIES_1 =
libkmfinstaller_openbsd_la_DEPENDENCIES =  \
	../../kmfwidgets/libkmfwidgets.la ../../core/libkmfcore.la \
	$(am__DEPENDENCIES_1)
am_libkmfinstaller_openbsd_la_OBJECTS = kmfpfinstaller.lo
#>- libkmfinstaller_openbsd_la_OBJECTS =  \
#>- 	$(am_libkmfinstaller_openbsd_la_OBJECTS)
#>+ 5
libkmfinstaller_openbsd_la_final_OBJECTS = libkmfinstaller_openbsd_la.all_cpp.lo 
libkmfinstaller_openbsd_la_nofinal_OBJECTS = kmfpfinstaller.lo\
kmfpfinstaller.moc.lo 
libkmfinstaller_openbsd_la_OBJECTS = $(libkmfinstaller_openbsd_la_nofinal_OBJECTS)
#libkmfinstaller_openbsd_la_OBJECTS = $(libkmfinstaller_openbsd_la_final_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
#>- 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libkmfinstaller_openbsd_la_SOURCES)
DIST_SOURCES = $(libkmfinstaller_openbsd_la_SOURCES)
partdesktopDATA_INSTALL = $(INSTALL_DATA)
scriptDATA_INSTALL = $(INSTALL_DATA)
DATA = $(partdesktop_DATA) $(script_DATA)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = ${SHELL} /home/agi/debian/kmyfirewall/kmyfirewall-1.1.1/admin/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/agi/debian/kmyfirewall/kmyfirewall-1.1.1/admin/missing --run tar
AR = ar
ARTSCCONFIG = ${prefix}/bin/artsc-config
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /home/agi/debian/kmyfirewall/kmyfirewall-1.1.1/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/agi/debian/kmyfirewall/kmyfirewall-1.1.1/admin/missing --run automake-1.9
AWK = gawk
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -std=iso9899:1990 -W -Wall -Wchar-subscripts -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DNDEBUG -O2  -Wall -g -O2 -Wformat-security -Wmissing-format-attribute
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in
CPP = i486-linux-gnu-gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = i486-linux-gnu-g++
CXXCPP = i486-linux-gnu-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common
CYGPATH_W = echo
DCOPIDL = ${prefix}/bin/dcopidl
DCOPIDL2CPP = ${prefix}/bin/dcopidl2cpp
DCOPIDLNG = ${prefix}/bin/dcopidlng
DCOP_DEPENDENCIES = $(DCOPIDL) $(DCOPIDLNG)
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = 
FFLAGS = 
FRAMEWORK_COREAUDIO = 
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_GCC_VISIBILITY = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KCFG_DEPENDENCIES = $(KCONFIG_COMPILER)
KCONFIG_COMPILER = ${prefix}/bin/tdeconfig_compiler
KDECONFIG = ${prefix}/bin/tde-config
KDE_CHECK_PLUGIN = $(KDE_PLUGIN) -rpath $(libdir)
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/usr/include/tde
KDE_LDFLAGS = -L/usr/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = -Wl,--no-undefined -Wl,--allow-shlib-undefined
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = 
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_FPIE = -fPIE
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_USE_PIE = -pie
KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/tde-chunk.xsl
LDFLAGS = 
LDFLAGS_AS_NEEDED = 
LDFLAGS_NEW_DTAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_TDEABC = -ltdeabc
LIB_TDECORE = -ltdecore
LIB_KDED = 
LIB_TDEPIM = -ltdepim
LIB_TDEPRINT = -ltdeprint
LIB_TDEUI = -ltdeui
LIB_TDEDNSSD = -ltdednssd
LIB_TDEFILE = -ltdeio
LIB_KFM = 
LIB_TDEHTML = -ltdehtml
LIB_TDEIMPROXY = -ltdeimproxy
LIB_TDEIO = -ltdeio
LIB_KJS = -lkjs
LIB_KNEWSTUFF = -lknewstuff
LIB_TDEPARTS = -ltdeparts
LIB_TDESPELL = -ltdespell
LIB_TDESYCOCA = -ltdeio
LIB_TDEUNITTEST = -ltdeunittest
LIB_TDEUTILS = -ltdeutils
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/agi/debian/kmyfirewall/kmyfirewall-1.1.1/admin/missing --run makeinfo
MAKETDEWIDGETS = 
MCOPIDL = ${prefix}/bin/mcopidl
MEINPROC = ${prefix}/bin/meinproc
MOC = /usr/share/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
PACKAGE = kmyfirewall-1.1.1
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
QTE_NORTTI = 
QT_INCLUDES = -I/usr/share/qt3/include
QT_LDFLAGS = -L/usr/share/qt3/lib
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOPSUBDIRS =  KMFIPTInterface KMFSysTray doc kmyfirewall pics templates
UIC = /usr/share/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 3.5.6
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XMKMF = 
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I.
X_LDFLAGS = 
X_PRE_LIBS = 
X_RPATH = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
all_includes = -I/usr/include/tde -I/usr/share/qt3/include -I. 
all_libraries = -L/usr/share/qt3/lib    
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = i486-linux-gnu
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
include_ARTS_FALSE = #
include_ARTS_TRUE = 
include_x11_FALSE = #
include_x11_TRUE = 
includedir = /usr/include/tde
infodir = /usr/share/info
install_sh = /home/agi/debian/kmyfirewall/kmyfirewall-1.1.1/admin/install-sh
kde_appsdir = ${datadir}/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = /etc/trinity
kde_datadir = ${datadir}/apps
kde_htmldir = /usr/share/doc/tde/HTML
kde_icondir = ${datadir}/icons
kde_includes = /usr/include/tde
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /usr/lib
kde_libs_htmldir = /usr/share/doc/tde/HTML
kde_libs_prefix = /usr
kde_locale = ${datadir}/locale
kde_mimedir = ${datadir}/mimelnk
kde_moduledir = ${libdir}/trinity
kde_qtver = 3
kde_servicesdir = ${datadir}/services
kde_servicetypesdir = ${datadir}/servicetypes
kde_sounddir = ${datadir}/sounds
kde_styledir = ${libdir}/trinity/plugins/styles
kde_templatesdir = ${datadir}/templates
kde_wallpaperdir = ${datadir}/wallpapers
kde_widgetdir = /usr/lib/trinity/plugins/designer
tdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
qt_includes = /usr/share/qt3/include
qt_libraries = /usr/share/qt3/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target = i486-pc-linux-gnu
target_alias = 
target_cpu = i486
target_os = linux-gnu
target_vendor = pc
unsermake_enable_pch_FALSE = 
unsermake_enable_pch_TRUE = #
x_includes = .
x_libraries = /usr/lib
xdg_appsdir = ${datadir}/applications/tde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
INCLUDES = $(all_includes) -I../../core -I../../kmfwidgets -I../../libkmfplugins
#>- METASOURCES = AUTO
kde_module_LTLIBRARIES = libkmfinstaller_openbsd.la
#>- libkmfinstaller_openbsd_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) \
#>- 	$(all_libraries)
#>+ 2
libkmfinstaller_openbsd_la_LDFLAGS = -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_PLUGIN) \
	$(all_libraries)

## kmyfirewall-trinity 3.5.13.2

=== debian/changelog ===
kmyfirewall-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:54:43 +0200

kmyfirewall-trinity (1.1.1-1~1ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kmyfirewall-trinity (1.1.1-1~1ubuntu0) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

kmyfirewall-trinity (1.1.1-1~0ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 20 Dec 2008 12:38:00 -0600

kmyfirewall (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Applied the following patched from Ubuntu, thanks Matvey Kozhev:
    - Added debian/watch.
    - Added debian/kmfinstallerplugin.desktop, tweaked for Lintian
      cleanliness.
    - Added debian/kmyfirewall.desktop, tweaked for Lintian cleanliness.
    - Added debian/kmyfirewall.xpm.
    - Added debian/install to install the desktop and xpm files.
    - Updated debian/menu.
    - debian/compat: Bumped to 5.
    - debian/rules:
      * Removed dh_installdirs call, not needed.
      * Delete /usr/lib/*.so, leave only *.so.0.
      * Strip /usr/lib rpath with chrpath.
      * Do not ignore make distclean output.
      * Moved config.guess/config.sub copy commands from clean to configure.
      * Replaced dh_iconcache with dh_icons.
      * Added dh_desktop.
  * Bumped Standards-Version to 3.7.3.0.
  * debian/copyright: Added copyright notice
  * Fixed HTML docs path. (Closes: #408677)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 10 Feb 2008 13:33:13 +0100

kmyfirewall (1.0-2) unstable; urgency=low

  * Bumped Standards-Version to 3.6.2.0, no change.
  * Fixed FSF address.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 17 Dec 2005 23:45:33 +0100

kmyfirewall (1.0-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 17 Dec 2005 13:42:07 +0100

kmyfirewall (0.9.6.2-2) unstable; urgency=low

  * Rebuilt package for the Qt/KDE transition
    (Closes: #327003, #327979)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 13 Sep 2005 14:47:35 +0200

kmyfirewall (0.9.6.2-1) unstable; urgency=low

  * The 'Three Wise Men' release.
  * Initial Release. (Closes: #247871)
    Thanks a lot to Alejandro Exojo Piqueras <suy@badopi.org> for
    letting me take this package and for his initial work on it.
  * Added manpage for kmyfirewall.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 04 Jan 2005 20:17:02 +0100

=== debian/control ===
Source: kmyfirewall-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 5.0.51), quilt, kdelibs4-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://kmyfirewall.sourceforge.net/

Package: kmyfirewall-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kmyfirewall-kde3 (<< 4:3.5.13)
Breaks: kmyfirewall-kde3 (<< 4:3.5.13)
Description: iptables based firewall configuration tool for KDE [Trinity]
 KMyFirewall attempts to make it easier to setup iptables based firewalls on
 Linux systems. It will be the right tool if you like to have a so called
 "Personal Firewall" running on your Linux box, but don't have the time and/or
 the interest to spend hours in front of the iptables manual just to setup a 
 Firewall that keeps the "bad" people out.
 .
 There is also the possibility to save entire rule sets, so you only have to
 configure your rule set one time and then you can use it on several computers
 giving each of them a similar configuration (p.e. school networks, office,
 university etc.)

## kmyfirewall-trinity 14.0.4

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:24:39 +0200

## kmyfirewall-trinity 14.0.5

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: kmyfirewall-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 5.0.51), quilt, kdelibs4-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), tdelibs14-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://kmyfirewall.sourceforge.net/
 
 Package: kmyfirewall-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kmyfirewall-kde3 (<< 4:3.5.13)
-Breaks: kmyfirewall-kde3 (<< 4:3.5.13)
-Description: iptables based firewall configuration tool for KDE [Trinity]
+Replaces: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
+Breaks: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
+Description: iptables based firewall configuration tool for TDE [Trinity]
  KMyFirewall attempts to make it easier to setup iptables based firewalls on
  Linux systems. It will be the right tool if you like to have a so called
  "Personal Firewall" running on your Linux box, but don't have the time and/or

## kmyfirewall-trinity 14.0.6

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:39:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kmyfirewall-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
-Breaks: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
+Replaces: kmyfirewall-trinity (<< 4:14.0.0~)
+Breaks: kmyfirewall-trinity (<< 4:14.0.0~)
 Description: iptables based firewall configuration tool for TDE [Trinity]
  KMyFirewall attempts to make it easier to setup iptables based firewalls on
  Linux systems. It will be the right tool if you like to have a so called

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/kmyfirewall-trinity::
	rm -f debian/$(cdbs_curpkg)/opt/trinity/lib/*.so
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
	chmod +x debian/$(cdbs_curpkg)/opt/trinity/share/apps/kmyfirewall/scripts/installer/linux/*.sh

## kmyfirewall-trinity 14.0.8

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:49:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include debian/cdbs/debian-qt-kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## kmyfirewall-trinity 14.0.9

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:07:51 +0200

## kmyfirewall-trinity 14.0.10

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## kmyfirewall-trinity 14.0.11

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:35:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kmyfirewall-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), tdelibs14-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs, debhelper (>= 9~), tdelibs14-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://kmyfirewall.sourceforge.net/

## kmyfirewall-trinity 14.0.12

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:27:53 +0100

## kmyfirewall-trinity 14.0.13

=== debian/changelog ===
kmyfirewall-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Sep 2022 22:33:24 +0200

## kmyfirewall-trinity 14.1.0

=== doc/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 483858 $ 
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/kmyfirewall-1.1.0
pkglibdir = $(libdir)/kmyfirewall-1.1.0
pkgincludedir = $(includedir)/kmyfirewall-1.1.0
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
#>- RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
#>- 	html-recursive info-recursive install-data-recursive \
#>- 	install-exec-recursive install-info-recursive \
#>- 	install-recursive installcheck-recursive installdirs-recursive \
#>- 	pdf-recursive ps-recursive uninstall-info-recursive \
#>- 	uninstall-recursive
#>+ 6
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive nmcheck-recursive bcheck-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = ${SHELL} /home/animal/devel/KDE-SVN/kmyfirewall-1.1.0/admin/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/animal/devel/KDE-SVN/kmyfirewall-1.1.0/admin/missing --run tar
AR = ar
ARTSCCONFIG = ${prefix}/bin/artsc-config
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /home/animal/devel/KDE-SVN/kmyfirewall-1.1.0/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/animal/devel/KDE-SVN/kmyfirewall-1.1.0/admin/missing --run automake-1.9
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -std=iso9899:1990 -W -Wall -Wchar-subscripts -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_DEFAULT_SOURCE -g3 -fno-inline   -Wformat-security -Wmissing-format-attribute
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in
CPP = gcc -E
CPPFLAGS =  -DTQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_DEFAULT_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -fno-builtin -g3 -fno-inline -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common
CYGPATH_W = echo
DCOPIDL = ${prefix}/bin/dcopidl
DCOPIDL2CPP = ${prefix}/bin/dcopidl2cpp
DCOPIDLNG = ${prefix}/bin/dcopidlng
DCOP_DEPENDENCIES = $(DCOPIDL) $(DCOPIDLNG)
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = 
FFLAGS = 
FRAMEWORK_COREAUDIO = 
GMSGFMT = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_GCC_VISIBILITY = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KCFG_DEPENDENCIES = $(KCONFIG_COMPILER)
KCONFIG_COMPILER = ${prefix}/bin/tdeconfig_compiler
KDECONFIG = ${prefix}/bin/tde-config
KDE_CHECK_PLUGIN = $(KDE_PLUGIN) -rpath $(libdir)
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/usr/include/tde
KDE_LDFLAGS = -L/usr/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = -Wl,--no-undefined -Wl,--allow-shlib-undefined
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(libdir) -R $(kde_libraries) -R $(qt_libraries)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_FPIE = -fPIE
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_USE_PIE = -pie
KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/tde-chunk.xsl
LDFLAGS = 
LDFLAGS_AS_NEEDED = 
LDFLAGS_NEW_DTAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBJPEG = -ljpeg
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_TDEABC = -ltdeabc
LIB_TDECORE = -ltdecore
LIB_KDED = 
LIB_TDEPIM = -ltdepim
LIB_TDEPRINT = -ltdeprint
LIB_TDEUI = -ltdeui
LIB_TDEDNSSD = -ltdednssd
LIB_TDEFILE = -ltdeio
LIB_KFM = 
LIB_TDEHTML = -ltdehtml
LIB_TDEIMPROXY = -ltdeimproxy
LIB_TDEIO = -ltdeio
LIB_KJS = -lkjs
LIB_KNEWSTUFF = -lknewstuff
LIB_TDEPARTS = -ltdeparts
LIB_TDESPELL = -ltdespell
LIB_TDESYCOCA = -ltdeio
LIB_TDEUNITTEST = -ltdeunittest
LIB_TDEUTILS = -ltdeutils
LIB_POLL = 
LIB_QPE = 
LIB_TQT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/animal/devel/KDE-SVN/kmyfirewall-1.1.0/admin/missing --run makeinfo
MAKETDEWIDGETS = 
MCOPIDL = ${prefix}/bin/mcopidl
MEINPROC = ${prefix}/bin/meinproc
MOC = /usr/share/qt3/bin/moc
MSGFMT = /usr/bin/msgfmt
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
PACKAGE = kmyfirewall-1.1.0
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PKG_CONFIG = /usr/bin/pkg-config
QTE_NORTTI = 
TQT_INCLUDES = -I/usr/include/qt3
QT_LDFLAGS = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TOPSUBDIRS =  KMFIPTInterface KMFSysTray doc kmyfirewall pics templates
UIC = /usr/share/qt3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 3.5.8
WOVERLOADED_VIRTUAL = -Woverloaded-virtual
XGETTEXT = /usr/bin/xgettext
XMKMF = 
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I.
X_LDFLAGS = 
X_PRE_LIBS = 
X_RPATH = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
all_includes = -I/usr/include/tde -I/usr/include/qt3 -I. 
all_libraries =    
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
include_ARTS_FALSE = #
include_ARTS_TRUE = 
include_x11_FALSE = #
include_x11_TRUE = 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/animal/devel/KDE-SVN/kmyfirewall-1.1.0/admin/install-sh
kde_appsdir = /usr/share/applnk
kde_bindir = /usr/bin
kde_confdir = /etc/trinity
kde_datadir = /usr/share/apps
kde_htmldir = /usr/share/doc/tde/HTML
kde_icondir = /usr/share/icons
kde_includes = /usr/include/tde
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /usr/lib
kde_libs_htmldir = /usr/share/doc/tde/HTML
kde_libs_prefix = /usr
kde_locale = /usr/share/locale
kde_mimedir = /usr/share/mimelnk
kde_moduledir = /usr/lib/trinity
kde_qtver = 3
kde_servicesdir = /usr/share/services
kde_servicetypesdir = /usr/share/servicetypes
kde_sounddir = /usr/share/sounds
kde_styledir = ${libdir}/trinity/plugins/styles
kde_templatesdir = /usr/share/templates
kde_wallpaperdir = /usr/share/wallpapers
kde_widgetdir = /usr/lib/trinity/plugins/designer
tdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
tqt_includes = /usr/include/qt3
qt_libraries = /usr/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
unsermake_enable_pch_FALSE = 
unsermake_enable_pch_TRUE = #
x_includes = .
x_libraries = /usr/lib
xdg_appsdir = ${datadir}/applications/tde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
KDE_LANG = en
KDE_DOCS = AUTO
#>- SUBDIRS = $(AUTODIRS)
#>+ 1
SUBDIRS =. kmyfirewall
#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --gnu  doc/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/Makefile
	cd $(top_srcdir) && perl admin/am_edit doc/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:19:29 +0100

## kmyfirewall-trinity 14.1.1

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,6 @@
 
 cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)
 
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
-
 binary-install/kmyfirewall-trinity::
 	rm -f debian/$(cdbs_curpkg)/opt/trinity/lib/*.so
-	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
 	chmod +x debian/$(cdbs_curpkg)/opt/trinity/share/apps/kmyfirewall/scripts/installer/linux/*.sh

## kmyfirewall-trinity 14.1.2

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), tdelibs14-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), tdelibs14-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://kmyfirewall.sourceforge.net/
 
 Package: kmyfirewall-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kmyfirewall-trinity (<< 4:14.0.0~)
-Breaks: kmyfirewall-trinity (<< 4:14.0.0~)
+Replaces: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
+Breaks: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
 Description: iptables based firewall configuration tool for TDE [Trinity]
  KMyFirewall attempts to make it easier to setup iptables based firewalls on
  Linux systems. It will be the right tool if you like to have a so called

## kmyfirewall-trinity 14.1.3

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( kmyfirewall )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"           ON           )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( kmyfirewall )
add_subdirectory( pics )
add_subdirectory( templates )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 11 Oct 2024 03:42:31 +0200

## kmyfirewall-trinity 14.1.4

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.4-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), tdelibs14-trinity-dev (>= 3.3.0), chrpath, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://kmyfirewall.sourceforge.net/
 
 Package: kmyfirewall-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
-Breaks: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
+Replaces: kmyfirewall-trinity (<< 4:14.0.0~)
+Breaks: kmyfirewall-trinity (<< 4:14.0.0~)
 Description: iptables based firewall configuration tool for TDE [Trinity]
  KMyFirewall attempts to make it easier to setup iptables based firewalls on
  Linux systems. It will be the right tool if you like to have a so called

## kmyfirewall-trinity 14.1.5~pre3

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 5c40c90e27ab0f765f62113436f1197497fffb8b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kmyfirewall-trinity 14.1.5

=== pics/CMakeLists.txt ===
##### App icons

install(
  FILES kmyfirewall-16.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/16x16/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-22.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/22x22/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-32.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/32x32/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-48.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-64.png
  DESTINATION ${ICON_INSTALL_DIR}/hicolor/64x64/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-16-lo.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/16x16/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-32-lo.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/32x32/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall-48-lo.png
  DESTINATION ${ICON_INSTALL_DIR}/locolor/48x48/apps
  RENAME kmyfirewall.png
)

install(
  FILES kmyfirewall.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
)


##### KMFMyFirewall

install(
  FILES
    kmf_snapshot_generic_interface.png kmf_snapshot_iptables_interface.png reject.png target.png
    splash.png splash_cut.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/pics
)

install(
  FILES builtin-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/16x16/actions
  RENAME builtin.png
)

install(
  FILES table-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/16x16/actions
  RENAME table.png
)

install(
  FILES user_defined-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/16x16/actions
  RENAME user_defined.png
)

install(
  FILES rule-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/16x16/actions
  RENAME rule.png
)

install(
  FILES rule-22.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/22x22/actions
  RENAME rule.png
)

install(
  FILES rule-32.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/32x32/actions
  RENAME rule.png
)

install(
  FILES rule-48.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/48x48/actions
  RENAME rule.png
)

install(
  FILES rule-64.png
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/icons/hicolor/64x64/actions
  RENAME rule.png
)


##### KMFSysTray

install(
  FILES reject.png target.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/pics
)

install(
  FILES builtin-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/16x16/actions
  RENAME builtin.png
)

install(
  FILES table-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/16x16/actions
  RENAME table.png
)

install(
  FILES user_defined-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/16x16/actions
  RENAME user_defined.png
)

install(
  FILES rule-16.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/16x16/actions
  RENAME rule.png
)

install(
  FILES rule-22.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/22x22/actions
  RENAME rule.png
)

install(
  FILES rule-32.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/32x32/actions
  RENAME rule.png
)

install(
  FILES rule-48.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/48x48/actions
  RENAME rule.png
)

install(
  FILES rule-64.png
  DESTINATION ${DATA_INSTALL_DIR}/kmfsystray/icons/hicolor/64x64/actions
  RENAME rule.png
)

=== kmyfirewall/ruleoptionplugins/custom_option/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libkmfruleoptionedit_custom

tde_add_library( kmfruleoptionedit_custom SHARED AUTOMOC
  SOURCES
    kmfruleoptioneditcustom.cpp kmfruleeditcustomopt.cpp kmyfirewallruleeditorcustomrule.ui
  LINK
    kmfcore-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kmfruleoptionedit_custom.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
  FILES kmfruleoption_custom_option.xml
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/ruleoptions
)

=== kmyfirewall/ruleoptionplugins/ip_option/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libkmfruleoptionedit_ip

tde_add_library( kmfruleoptionedit_ip SHARED AUTOMOC
  SOURCES
    kmfruleoptioneditip.cpp kmfruleeditip.cpp kmyfirewallruleeditorip.ui
  LINK
    kmfcore-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kmfruleoptionedit_ip.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
  FILES kmfruleoption_ip_option.xml
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/ruleoptions
)

=== kmyfirewall/ruleoptionplugins/log_target_option/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kmyfirewall/ipteditor
)

##### libkmfruletargetoptionedit_log

tde_add_library( kmfruletargetoptionedit_log SHARED AUTOMOC
  SOURCES
    kmfruletargetoptioneditlog.cpp kmfruleedittargetlog.cpp kmyfirewallruleeditortargetlog.ui
  LINK
    kmfcore-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

set_property(
  SOURCE kmfruletargetoptioneditlog.cpp
  APPEND PROPERTY OBJECT_DEPENDS
  ${CMAKE_BINARY_DIR}/kmyfirewall/ipteditor/kmyfirewallruleeditor.h
)


##### other data

tde_create_translated_desktop(
  SOURCE kmfruletargetoptionedit_log.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
  FILES kmfruleoption_target_log_option.xml
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/ruleoptions
)

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://kmyfirewall.sourceforge.net/
 
 Package: kmyfirewall-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kmyfirewall-trinity (<< 4:14.0.0~)
-Breaks: kmyfirewall-trinity (<< 4:14.0.0~)
+Replaces: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
+Breaks: kmyfirewall-kde3 (<< 4:14.0.0~), kmyfirewall-trinity (<< 4:14.0.0~)
 Description: iptables based firewall configuration tool for TDE [Trinity]
  KMyFirewall attempts to make it easier to setup iptables based firewalls on
  Linux systems. It will be the right tool if you like to have a so called

## kmyfirewall-trinity 14.1.6~pre0

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 5c40c90e27ab0f765f62113436f1197497fffb8b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kmyfirewall-trinity 14.1.6~pre1

=== debian/changelog ===
kmyfirewall-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for dca04d24eae5f48eba02f8a98fdb274630b36418
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:59:05 +0100
